#include <unistd.h>
#include <fcntl.h>

int
flock(fd, how)
	int fd;
	int how;
{
  int    cmd;
  struct flock fl;

  if (how == LOCK_NB) {
    cmd = F_SETLK;
    how = F_RDLCK;
    }
  else
    cmd = F_SETLKW;

  fl.l_type = how;
  fl.l_whence = SEEK_SET;
  fl.l_start  = 0;
  fl.l_len    = 0;
  fl.l_pid    = getpid();
  return fcntl(fd, cmd, fl);
}
