#define LITTLE_ENDIAN   1234    /* LSB first: i386, vax */
#define BIG_ENDIAN      4321    /* MSB first: 68000, ibm, net */
#define BYTEORDER       4321
#define BYTE_ORDER       4321   /* why is db using this name? */

#  define vtohl(x)      ((((x)&0xFF)<<24)       \
                        +(((x)>>24)&0xFF)       \
                        +(((x)&0x0000FF00)<<8)  \
                        +(((x)&0x00FF0000)>>8)  )
#  define vtohs(x)      ((((x)&0xFF)<<8) + (((x)>>8)&0xFF))
#  define htovl(x)      vtohl(x)
#  define htovs(x)      vtohs(x)
