#include "/usr/include/termios.h"

/* dummy declarations for tcsetattr calls */
#define TTYDEF_IFLAG    (BRKINT | ISTRIP | ICRNL | IXON)
#define TTYDEF_OFLAG    (OPOST)
#define TTYDEF_LFLAG    (ECHO | ICANON | ISIG | IEXTEN | ECHOE)
#define TTYDEF_CFLAG    (CREAD | CS7 | PARENB | HUPCL)
#define TTYDEF_SPEED    (B9600)

#define ONLCR           0x00000002      /* map NL to CR-NL (ala CRMOD) */

#define ECHOKE          0x00000001      /* visual erase for line kill */
#define ECHOPRT         0x00000020      /* visual erase mode for hardcopy */
#define ECHOCTL         0x00000040      /* echo control chars as ^(Char) */
